Bug 607149 - Dracut syslog support is broken
Dracut syslog support is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 07:28 EDT by Glen Gray
Modified: 2010-10-30 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: dracut-005-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update the syslog paths (464 bytes, patch)
2010-06-23 07:28 EDT, Glen Gray
no flags Details | Diff

  None (edit)
Description Glen Gray 2010-06-23 07:28:37 EDT
Created attachment 426238 [details]
update the syslog paths

Description of problem:
When generating an initrd with syslog support, it fails due to a path change in rsyslog.


Version-Release number of selected component (if applicable):
005-3


How reproducible:
Always


Steps to Reproduce:
1./sbin/dracut -f -a "network syslog debug nfs" --omit "lvm mdraid crypt dm dmraid dasd iscsi" /boot/netboot-initrd
  
Actual results:
E: Failed to install /usr/lib/rsyslog/lmnet.so


Expected results:


Additional info:
Then /usr/share/dracut/modules.d/98syslog/install file has incorrect paths for the rsyslog modules
Comment 2 Harald Hoyer 2010-08-30 05:45:05 EDT
(In reply to comment #1)
> I've pushed this patch to the upstream git:
> http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=commit;h=d95d2f3b44c6f4bc178020ea4c071c09760f6f61

better search for these files dynamically, instead of hardcoding the paths, which differ for distributions and architectures.
Comment 3 Glen Gray 2010-08-30 05:51:06 EDT
It seems that whatever updates where applied to the dracut system in general didn't make it to this module. There's also warning about using the "dwarn" function, I think it was renamed to dwarning.
Comment 4 Fedora Update System 2010-09-23 11:31:51 EDT
dracut-005-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dracut-005-4.fc13
Comment 5 Fedora Update System 2010-09-23 11:33:13 EDT
dracut-005-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/dracut-005-4.fc12
Comment 6 Fedora Update System 2010-09-24 16:38:53 EDT
dracut-005-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dracut'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dracut-005-4.fc12
Comment 7 Fedora Update System 2010-10-27 18:53:47 EDT
dracut-005-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-10-30 19:38:23 EDT
dracut-005-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.